package com.yunfeiyun.agmp.fms.service;

import com.yunfeiyun.agmp.fms.domain.FmsCrop;
import com.yunfeiyun.agmp.fms.domain.FmsPeriod;
import com.yunfeiyun.agmp.fms.domain.reqvo.AddPeriodListReqVo;

import java.util.List;

/**
 * 作物周期Service接口
 * 
 * @author 杨晓辉
 * @date 2023-05-16
 */
public interface IFmsPeriodService 
{
    /**
     * 查询作物周期
     * 
     * @param periodId 作物周期主键
     * @return 作物周期
     */
    public FmsPeriod selectFmsPeriodByPeriodId(String periodId);

    /**
     * 查询作物周期
     *
     * @param cropId 作物周期主键
     * @return 作物周期
     */
    public List<FmsPeriod> selectFmsPeriodByCropId(String cropId);

    /**
     * 查询作物周期
     *
     * @return 作物周期
     */
    public List<FmsCrop> selectFmsCropHasPeriod();


    /**
     * 查询作物周期列表
     * 
     * @param fmsPeriod 作物周期
     * @return 作物周期集合
     */
    public List<FmsPeriod> selectFmsPeriodList(FmsPeriod fmsPeriod);

    /**
     * 新增作物周期
     * 
     * @param fmsPeriod 作物周期
     * @return 结果
     */
    public int insertFmsPeriod(FmsPeriod fmsPeriod);

    /**
     * 批量新增作物周期
     *
     * @param list 作物周期
     * @return 结果
     */
    public int insertFmsPeriodBatch(AddPeriodListReqVo reqVo);

    /**
     * 修改作物周期
     * 
     * @param fmsPeriod 作物周期
     * @return 结果
     */
    public int updateFmsPeriod(FmsPeriod fmsPeriod);

    /**
     * 批量删除作物周期
     * 
     * @param periodIds 需要删除的作物周期主键集合
     * @return 结果
     */
    public int deleteFmsPeriodByPeriodIds(String[] periodIds);

    /**
     * 删除作物周期信息
     * 
     * @param periodId 作物周期主键
     * @return 结果
     */
    public int deleteFmsPeriodByPeriodId(String periodId);

    /**
     * 删除作物周期信息
     *
     * @param cropId 作物主键
     * @return 结果
     */
    public int deleteFmsPeriodByCropId(String cropId);
}
